- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Requests access to a data product. This will trigger an access approval workflow, and the requester will need to wait for the approval to be granted before they will be able to access the data product assets.
HTTP request
POST https://dataplex.googleapis.com/v1/{parent=projects/*/locations/*/dataProducts/*}:requestAccess
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The resource name of the data product. Format: projects/{projectNumber}/locations/{locationId}/dataProducts/{dataProductId} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"changeRequest": {
object ( |
| Fields | |
|---|---|
changeRequest |
Required. The change request for the data product access request. |
validateOnly |
Optional. Validates the request without actually creating the access change request. Defaults to false. |
Response body
Response message for requesting access to a Data Product.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "changeRequestName": string } |
| Fields | |
|---|---|
changeRequestName |
The resource name of the created ChangeRequest. Format: projects/{projectNumber}/locations/{locationId}/changeRequests/{change_request_id} |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/dataplex.read-write
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
dataplex.dataProducts.get
For more information, see the IAM documentation.